program debug
 implicit none
 PROVIDE ao_prim_num_max
 integer :: i,j
 integer :: k
 print *,  ''
!print *,  'Occupation numbers'
!do k=1,mo_num
!  print *, k, mo_occ(k)
!enddo
 read(*,*) i,j

 print *,  ''
 do k=1,nucl_num
  print *,  nucl_coord(k,:)
 enddo
 print *,  ''
 print *, 'AO ', i
 print *, 'prim num:', ao_prim_num(i)
 print *, 'powers  :', ao_power(i,:)
 print *, 'center  :', ao_nucl(i)
 print *, 'expo  /  coef'
 do k=1,ao_prim_num(i)
   print *, ao_expo(k,i), ao_coef(k,i)
 enddo

 print *,  ''
 print *, 'AO ', j
 print *, 'prim num:', ao_prim_num(j)
 print *, 'powers  :', ao_power(j,:)
 print *, 'center  :', ao_nucl(j)
 print *, 'expo  /  coef'
 do k=1,ao_prim_num(j)
   print *, ao_expo(k,j), ao_coef(k,j)
 enddo

 double precision :: ao_overlap, ao_overlap_numeric
 print *, ''
 print *, 'Overlap integral   :', ao_overlap(i,j)
 print *, 'Overlap integral N :', ao_overlap_numeric(i,j)

 double precision :: ao_eplf_integral, ao_eplf_integral_numeric
 print *,  ''
 print *, 'EPLF gamma         : ', eplf_gamma
 print *, 'EPLF integral      :', ao_eplf_integral(i,j,eplf_gamma,point)
 print *, 'EPLF integral N    :', ao_eplf_integral_numeric(i,j,eplf_gamma,point)
 
 print *, ''
 print *, 'EPLF grid Npoints  :', grid_x_num, grid_y_num, grid_z_num
 print *, 'EPLF grid step     :', grid_step(:)
 print *, 'EPLF grid origin   :', grid_origin(:)

end
