program eplf
 implicit none
 provide mpi_rank

 if (comp_eplf) then
   call set_grid_data_eplf(grid_eplf)
   FREE grid_eplf
 endif
 if (comp_eplf_grad.or.comp_eplf_lapl) then
   call set_grid_data_eplf_grad(grid_eplf_grad)
   call set_grid_data_eplf_lapl(grid_eplf_lapl)
   FREE grid_eplf_grad
   FREE grid_eplf_lapl
 endif

 if (comp_elf) then
   call set_grid_data_elf(grid_elf)
   FREE grid_elf
 endif
 if (comp_elf_grad.or.comp_elf_lapl) then
   call set_grid_data_elf_grad(grid_elf_grad)
   call set_grid_data_elf_lapl(grid_elf_lapl)
   FREE grid_elf_grad
   FREE grid_elf_lapl
 endif

 if (comp_density) then
   call set_grid_data_density(grid_density)
   FREE grid_density
 endif
 if (comp_density_grad.or.comp_density_lapl) then
   call set_grid_data_density_grad(grid_density_grad)
   call set_grid_data_density_lapl(grid_density_lapl)
   FREE grid_density_grad
   FREE grid_density_lapl
 endif
 call finish()
end

